/* test code for DAQ-lib

inifinite loop:

- read voltage source
- print out
- write out to DAQ (and monitor on scope!)

*/

#include <stdio.h>
#include "eserrlp.h"
#include "daqlib.h"
#include "daqscale.h"

int main()
{
  short ival ;
  float v ;
  init_board() ;

  init_ai( 0 ) ;  /* 0 == +/- 10V range */
  init_ao() ;

  Clear_FIFO() ;

    do {
      ival = get_ai_raw() ;
      v = IVAL_2_VOLTAGE( ival ) ;

      printf("i = %i\tv = %f\n", ival, v ) ;

      put_ao_raw( ival ) ;

  } while ( 1 ) ;

  return 0 ;
}
