/* header file for daqlib - Rob's basic IO routines */

void init_board(void) ;
void init_ai( int ) ;
void init_ao(void) ;
short get_ai_raw(void) ;
float get_ai_voltage(void) ;
void put_ao_raw( short ) ;
void put_ao_voltage( float ) ;
void Clear_FIFO(void) ;

void config_dio(unsigned char) ;
void put_do(unsigned char) ;
unsigned char get_di(void) ;

void init_timer(void) ;
void start_timer(void) ;
void start_and_reset_timer(void) ;
void stop_timer(void) ;
void reset_timer(void) ;
unsigned long read_timer(void) ;

void init_clock(short) ;
void start_clock(void) ;
void stop_clock(void) ;
void ack_daq_interrupt(void) ;
short get_daq_irq(void) ;
